Bug 1640640 - Review Request: perl-Convert-Base32 - Encoding and decoding of base32 strings
Summary: Review Request: perl-Convert-Base32 - Encoding and decoding of base32 strings
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-10-18 13:13 UTC by Xavier Bachelot
Modified: 2018-11-15 06:14 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-11 03:11:51 UTC
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Xavier Bachelot 2018-10-18 13:13:09 UTC
Spec URL: https://www.bachelot.org/fedora/SPECS/perl-Convert-Base32.spec
SRPM URL: https://www.bachelot.org/fedora/SRPMS/perl-Convert-Base32-0.06-1.fc29.src.rpm
Description: Encoding and decoding of base32 strings
Fedora Account System Username: xavierb

Comment 1 Robert-André Mauchin 2018-10-19 19:09:29 UTC
 - URL is 404, it should be https://metacpan.org/pod/Convert::Base32

 - Use DESTDIR instead of PERL_INSTALL_ROOT


URL and Source addresses are Ok.
Source archive (SHA-256: 4ba82c167c41f455aa8284738727e4c94a2ebcb1c4ce797f6fda07245a642115) is original. Ok.
Summary verified from lib/Convert/Base32.pm. Ok.
Description verified from lib/Convert/Base32.pm. Ok.
License verified from lib/Convert/Base32.pm and README. Ok.
No XS code, noarch BuildArch is Ok.

All tests pass. Ok.


$ rpmlint perl-Convert-Base32.spec review-perl-Convert-Base32/results/perl-Convert-Base32-0.06-1.fc30.noarch.rpm review-perl-Convert-Base32/results/perl-Convert-Base32-0.06-1.fc30.src.rpm 
perl-Convert-Base32.noarch: W: invalid-url URL: https://metacpan.org/release/Convert::Base32 HTTP Error 404: Not Found
perl-Convert-Base32.src: W: invalid-url URL: https://metacpan.org/release/Convert::Base32 HTTP Error 404: Not Found
2 packages and 1 specfiles checked; 0 errors, 2 warnings.

$ rpm -q -lv -p perl-Convert-Base32-0.06-1.fc30.noarch.rpm 
drwxr-xr-x    2 root    root                        0 oct. 19 20:57 /usr/share/doc/perl-Convert-Base32
-rw-r--r--    1 root    root                      680 avril 22  2012 /usr/share/doc/perl-Convert-Base32/Changes
-rw-r--r--    1 root    root                     1559 juil. 18  2001 /usr/share/doc/perl-Convert-Base32/README
-rw-r--r--    1 root    root                     1944 oct. 19 20:57 /usr/share/man/man3/Convert::Base32.3pm.gz
drwxr-xr-x    2 root    root                        0 oct. 19 20:57 /usr/share/perl5/vendor_perl/Convert
-rw-r--r--    1 root    root                     4231 avril 22  2012 /usr/share/perl5/vendor_perl/Convert/Base32.pm
File permissions and layout are Ok.

$ rpm -q --requires -p perl-Convert-Base32-0.06-1.fc30.noarch.rpm | sort -f | uniq -c
      1 perl(:MODULE_COMPAT_5.28.0)
      1 perl(Carp)
      1 perl(Exporter)
      1 perl(strict)
      1 perl(Test::Exception)
      1 perl(Test::More)
      1 perl(vars)
      1 rpmlib(CompressedFileNames) <= 3.0.4-1
      1 rpmlib(FileDigests) <= 4.6.0-1
      1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
      1 rpmlib(PayloadIsXz) <= 5.2-1
Binary requires are Ok.

→ Add BR for strict, warnings, vars, Carp, Exporter

$ rpm -q --provides -p perl-Convert-Base32-0.06-1.fc30.noarch.rpm 
perl(Convert::Base32) = 0.06
perl-Convert-Base32 = 0.06-1.fc30
Binary provides are Ok.


Package builds in Koji (https://koji.fedoraproject.org/koji/taskinfo?taskID=30333649).
Ok

The package is in line with Fedora and Perl packaging guidelines.

Resolution: Package approved. Please fix the aforementioned issue before import.

Comment 2 Gwyn Ciesla 2018-10-25 13:20:19 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/perl-Convert-Base32

Comment 3 Fedora Update System 2018-10-29 09:47:43 UTC
perl-Convert-Base32-0.06-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-f72ee77191

Comment 4 Fedora Update System 2018-10-29 09:47:49 UTC
perl-Convert-Base32-0.06-2.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-6364359a85

Comment 5 Fedora Update System 2018-10-29 09:47:56 UTC
perl-Convert-Base32-0.06-2.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-ff79b4e57f

Comment 6 Xavier Bachelot 2018-10-30 17:52:38 UTC
Oops, I forgot to thank you for the review Robert-André.

Comment 7 Fedora Update System 2018-10-31 17:29:59 UTC
perl-Convert-Base32-0.06-2.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-6364359a85

Comment 8 Fedora Update System 2018-10-31 17:40:29 UTC
perl-Convert-Base32-0.06-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-f72ee77191

Comment 9 Fedora Update System 2018-10-31 18:50:54 UTC
perl-Convert-Base32-0.06-2.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-ff79b4e57f

Comment 10 Fedora Update System 2018-11-11 03:11:51 UTC
perl-Convert-Base32-0.06-2.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2018-11-11 03:59:59 UTC
perl-Convert-Base32-0.06-2.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2018-11-15 06:14:25 UTC
perl-Convert-Base32-0.06-2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.